Page MenuHomePhabricator

give the user a chance to specify the gender when opening the account
Closed, DeclinedPublic

Description

Users can set their gender manually in the preferences after creating an account. Lots of users, however, never bother to adjust their preferences and are not aware of the fact that they can choose the gender. This is a problem, because some software messages that are specifically at new users are gender-dependent in some languages. An example from today is the MoodBar extension messages and there are more.

This must not be forced and the default gender should remain "unspecified", but putting a gender dropdown somewhere in the registration form would be useful, because it will save the translators and and the users a lot of confusion.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=31816
https://bugzilla.wikimedia.org/show_bug.cgi?id=25834

Details

Reference
bz30442

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:57 PM
bzimport set Reference to bz30442.
Amire80 created this task.Aug 18 2011, 1:36 PM

I'd generally keep the registration form as simple as possible. However it makes sense to have the option shown in languages where it makes a difference.

For that we would need to introduce a variable to message files that can be checked whether gender makes a difference for this language (similar to rtl).

danny.leinad wrote:

(In reply to comment #1)

I'd generally keep the registration form as simple as possible. However it
makes sense to have the option shown in languages where it makes a difference.

Support, it's a good idea + would nice to add tooltip explaining why this option is important.

(In reply to comment #1)

I'd generally keep the registration form as simple as possible. However it
makes sense to have the option shown in languages where it makes a difference.
For that we would need to introduce a variable to message files that can be
checked whether gender makes a difference for this language (similar to rtl).

"genderVariance"?

ibaker wrote:

A couple notes (which may or may not be pertinent, and have probably been brought up before):

  1. Making any gender selector more visible is going to garner a certain degree of criticism from those who don't fit the gender binary. People are often uncomfortable with the implicit marginalization that comes with modeling only "Male" and "Female." The best model allows people to write in an answer, stores it, and then treats those users as if they'd selected "unspecified." I know, making a data model that accurately reflects reality is hard and this is an edge case, but it's a vocal edge case. Be aware.
  1. Gender is private information, so we should be careful when describing a user to others to not accidentally reveal their gender with language settings ("pat347 is an experienced Wikipedia editor. She has completed 372 edits"). Google+ dealt with this by adding a privacy setting to gender. This is especially important in cultures where women are more marginalized: http://en.wikipedia.org/wiki/Google%2B#Controversies_about_required_information
Jorm added a comment.Aug 19 2011, 1:28 AM

A couple comments:

First, the GlobalProfile extension (still in design) would probably be the best place for this.

Second, there's two aspects to the current gender preference. One is how the software (MediaWiki) produces messages. In some languages, different messages are given for different genders (this is what the MediaWiki preference is really for, to my understanding). The other is that we use it for gender-spread statistics (e.g., what percentage of our readers/editors are female to male).

An *ideal* system would be something like this (which is planned for GlobalProfile):

The user is asked to select their gender (from a set of pulldowns, to include edge cases like "Biologically male but identifies as female" and so forth) and then an additional checkbox: "Do not display my gender". This would then give us the data we want (self-identification), allow the messages to be displayed correctly to the user, and yet still provide privacy.

A problem with including this in the account creation screens is that users typically think that questions at this point are *mandatory* when they are not. Since harassment is rampant, we must be very adroit in our sensitivity to this.

(In reply to comment #5)

The user is asked to select their gender (from a set of pulldowns, to include
edge cases like "Biologically male but identifies as female" and so forth)

You are getting slightly confused with sexual identity and gender identity there, we only care about gender (identity) which is what they see/identify as.

I'm opposed to this idea, we want the registration screen to be as clean as simple as possible and we already display messages in a gender neutral pronoun by default unless they change their setting. We could probably comprise and have a "Now that you have a account don't forget you can change your preferences" type message.

(In reply to comment #4)

  1. Making any gender selector more visible is going to garner a certain degree

of criticism from those who don't fit the gender binary. People are often
uncomfortable with the implicit marginalization that comes with modeling only
"Male" and "Female."

It's possible that sexual identity is not binary, but language usually is. As far as i'm concerned, and as far as the MediaWiki software is concerned, the gender preference is used for proper wording of software messages in languages that need it. Not for statistics or for sexual identity. (If it used for statistics, it probably should be clearly stated in the privacy policy; currently it is not.)

There already is a rather vocal group of editors who don't like to be addressed as males, and even though i'm a guy, i agree with them, because as a translator i am frustrated by having to choose between unnaturally gender-neutral wording and male-only wording all the time. If you aren't translating messages, you just don't know the feeling.

(In reply to comment #7)

I'm opposed to this idea, we want the registration screen to be as clean as
simple as possible and we already display messages in a gender neutral pronoun
by default unless they change their setting.

You probably refer to English. In many of the other 270 languages this is not so easy.

We could probably comprise and
have a "Now that you have a account don't forget you can change your
preferences" type message.

It's not clear at all that preferences include a gender setting.

Just to clarify, the gender option currently provided is only to help the software to address the person correctly. It is also public. If someone wants to do stats about it, they can do it, but that is not what it is for and it doesn't tell the gender distribution, only how the users want themselves to be addressed.

danny.leinad wrote:

(In reply to comment #7)

I'm opposed to this idea, we want the registration screen to be as clean as
simple as possible and we already display messages in a gender neutral pronoun
by default unless they change their setting.

Sorry but in some languages, for example in Polish, we don't have something like "gender neutral" - interface is currently displayed in the masculine, and thus women are discriminated. This feature in some languages ​​is really needed.

ibaker wrote:

I see three separate issues here, which are at least somewhat in conflict:

  1. Language personalization
  2. Account creation form usability
  3. Rejection of the gender binary

It seems like a solution that balances all of these is possible.

What about, when asking for gender, have a pref that's worded like:

Gender that $wiki should assume when addressing me:

  1. Male (example sentence in male gender)
  2. Female (example)
  3. Neither, where possible (example)

(x) keep this setting private

When the setting is private, use the default that'd be applied to an anonymous user when describing the user to third parties. When neither is selected, use that default always.

This helps with people who are sensitive to gender because it makes it into a question about the software instead of the user, and makes it clear that this is a language setting. Therefore, mediawiki is not constraining gender--language is.

A second pref could exist for specifying gender identity, which could be used for building stats, and knowing this is important to us. I'm guessing we use the current gender column for this anyway, since it's the only data we have. The construction of this box would take some research. I'm sure I can track down some experts on this topic when the time comes.

As to where to put these prefs? My vote goes for a clearly optional page that's displayed after account creation. The account creation form should contain the mInimum set of questions to establish an account. Otherwise people will use it less. None if this matters if the user doesn't have an account.

Biological gender is, as far as many are concerned, strictly between a person and their doctor. I don't think we should collect medical information. :)

I don't see the need for adding checkbox to keep the gender selection private. Genders usually differ in third person verb forms and third person pronouns. Asking for the information but keeping it private is about as useful as not asking it at all.

Currently the only place to put this question is in the registration form (again, conditionally only for languages where it is most needed) and the preferences page (where it already is, but that is considered insufficient - hence this bug). Adding a new page after registration is complete sounds about as annoying as just placing the field into the first page, and much more complex.

This all resolves to this question: Do we want to add gender selection to the registration form for some selected languages?

Yes: We will make it so.
No: This bug is marked as wontfix.

I am leaning to yes.

ibaker wrote:

A quick user story to demonstrate my thoughts on gender privacy:

Asilah is a Saudi woman, editing the Arabic Wikipedia. She would prefer to keep her gender private, since she may not be taken seriously, and at worst could be punished for expressing her views. At the same time, she feels marginalized and excluded when the software refers to her personally as male.

If we never write code that refers to users publicly in the third-person, this isn't an issue. I don't see how we can avoid it with upcoming projects like the new profile extension, though.

neilk wrote:

I have been following the controversies that have occurred on other systems such as Google Plus pretty closely.

I think the main problem is that we developers really just want to know how to address a user, but we ask a different question, what is your sex/gender? This causes a lot of confusion.

The simple solution is to just ask exactly what we are asking -- it's about grammar!

What looks right?    
    (*) NeilK is a user on this wiki. Click here to visit his User Page.
    ( ) NeilK is a user on this wiki. Click here to visit her User Page.

As for the public/private distinction, it would be not too hard to accomplish that too -- we just make the GENDER calculation sensitive to whether the current context user is the user we are talking about. And the interface to choose that can look like this:

What looks right?
    (*) You're a great man for contributing to this wiki, NeilK!
    ( ) You're a great woman for contributing to this wiki, NeilK!

What should other people see?
    (*) NeilK just messaged you. Click here to visit his User Page.
    ( ) NeilK just messaged you. Click here to visit her User Page.

This also leaves open the possibility to add neutral genders in the future for languages where this is practical (like English), or even odder possibilities.

The only problem is making it clear to the user when they speak a language that doesn't even have the concept of gender. Presumably the options here should not be strict translations, but just strings that differ by gender in some way in that language. For instance, in Thai, we could just use "Hello, NeilK!" because that actually differs depending on the gender of the person you are talking to.

ibaker wrote:

Neil, I really like this idea. It asks the right question, and it allows the translator to include whatever language-specific nuance is appropriate.

The only caveat I can think of is that we'd have to be careful with the public setting to not lead the user into accidentally revealing a gender setting they'd rather keep private, by inadvertently setting it to something different from the default. I think just indicating what the default would would do.

sumanah wrote:

Just chiming in to say I like Neil's idea.

It might also be useful to have a list of the supported languages that do/don't allow neutral genders while speaking in the first, second, and/or third person. If there are a few edge cases that are just for a single language or something like that, there might be some way to cheat/workaround it by hardcoding. Or something.

Jorm added a comment.Aug 26 2011, 12:23 AM

We'll have to ask the questions in all languages on all projects. Here's the use case:

Rebecca creates an account on enwiki. English doesn't care about gender in its language - at least, not like German, say. Do we ask the questions? Yes, we have to: because some day Rebecca may go to dewiki, and have it incorrectly speak to her as if she's a man.

This is really a global preference set, which we've discussed in a couple other areas.

Jorm added a comment.Aug 26 2011, 1:31 AM

We'll have to ask the questions in all languages on all projects. Here's the use case:

Rebecca creates an account on enwiki. English doesn't care about gender in its language - at least, not like German, say. Do we ask the questions? Yes, we have to: because some day Rebecca may go to dewiki, and have it incorrectly speak to her as if she's a man.

This is really a global preference set, which we've discussed in a couple other areas.

(In reply to comment #15)

What looks right?    
    (*) NeilK is a user on this wiki. Click here to visit his User Page.
    ( ) NeilK is a user on this wiki. Click here to visit her User Page.

Could we have a mockup of the current preferences section with this suggestion?

(In reply to comment #19)

We'll have to ask the questions in all languages on all projects. Here's the
use case:
Rebecca creates an account on enwiki. English doesn't care about gender in its
language - at least, not like German, say. Do we ask the questions? Yes, we
have to: because some day Rebecca may go to dewiki, and have it incorrectly
speak to her as if she's a man.
This is really a global preference set, which we've discussed in a couple other
areas.

This also kind of breaks Neil's suggestion (but maybe not really, depends on how well translators handle it I guess): English doesn't care about gender in certain cases but German does, so how do you ask Rebecca about her (grammatical) gender? The gender is relevant for German but you're asking the question in English.

olivier.beaton wrote:

What genders are in the dropdown should be moved to
https://bugzilla.wikimedia.org/show_bug.cgi?id=25834

This bug is for displaying the gender dropdown itself on the signup page, not what options are in it.

(In reply to comment #7)

I'm opposed to this idea, we want the registration screen to be as clean as
simple as possible

+1

[...] We could probably comprise and
have a "Now that you have a account don't forget you can change your
preferences" type message.

We already have such a message. And it's quite strong: it looks like you can't start editing without adjusting your preferences! [[MediaWiki:Welcomecreation/en]] (note that this is heavily customised on en.wiki and pl.wiki to replace bot welcomes).

The MediaWiki signup page asks only the essential information to create an account, username and password, and it stresses that you don't need to provide email. One thing it doesn't ask is language: are we seriously going to ask in what /gender/ the user wants to be addressed while not asking in what /language/, which seems a bit more impacting on the user interface to me? This looks like an obvious WONTFIX for me with the current system.

For the sake of completeness, we have some kind multilingual projects which sort of ask you your language because they give you links to ?uselang=-localised versions of the page, for instance Meta http://meta.wikimedia.org/w/index.php?title=Special:UserLogin&type=signup , and Commons has also the language selector everywhere which will put the "create account" link in the correct language, which will also be stored as a preference: but my point stays.

Neil puts the problem in the correct perspective: I think that the current wording for [[Special:Preferences]] («Optional: used for gender-correct addressing by the software») is good but could be improved. Also, instead of putting it under "Basic information" I'd put it along with the language preference, changing "Internationalisation" title to "User interface". That's another bug, I suppose?

(In reply to comment #21)

(In reply to comment #19)

We'll have to ask the questions in all languages on all projects. Here's the
use case:
Rebecca creates an account on enwiki. English doesn't care about gender in its
language - at least, not like German, say. Do we ask the questions? Yes, we
have to: because some day Rebecca may go to dewiki, and have it incorrectly
speak to her as if she's a man.
This is really a global preference set, which we've discussed in a couple other
areas.

This also kind of breaks Neil's suggestion (but maybe not really, depends on
how well translators handle it I guess): English doesn't care about gender in
certain cases but German does, so how do you ask Rebecca about her
(grammatical) gender? The gender is relevant for German but you're asking the
question in English.

I don't see why. If you're asking her the question in English, it's because she'll use the English interface and if she wants German she'll have to change preferences.

(In reply to comment #23)

(In reply to comment #7)

[...] We could probably comprise and
have a "Now that you have a account don't forget you can change your
preferences" type message.

We already have such a message. And it's quite strong: it looks like you can't
start editing without adjusting your preferences!

... Except you can. Are there statistics about people who actually do what that message asks them to? I suspect that very few.

The MediaWiki signup page asks only the essential information to create an
account, username and password, and it stresses that you don't need to provide
email. One thing it doesn't ask is language: are we seriously going to ask in
what /gender/ the user wants to be addressed while not asking in what
/language/, which seems a bit more impacting on the user interface to me?

If someone creates an account in the Arabic Wikipedia, it's relatively safe to assume that she or he wants Arabic as her or his default language. Assuming a gender, however, is impossible, even though it is immediately needed.

(In reply to comment #24)

(In reply to comment #23)

(In reply to comment #7)

[...] We could probably comprise and
have a "Now that you have a account don't forget you can change your
preferences" type message.

We already have such a message. And it's quite strong: it looks like you can't
start editing without adjusting your preferences!

... Except you can. Are there statistics about people who actually do what that
message asks them to? I suspect that very few.

So what? If they don't, it just means that preferences are ok for them. Or, if you imply that people ignore messages, I wonder how you're going to explain what the gender preference is for.

The MediaWiki signup page asks only the essential information to create an
account, username and password, and it stresses that you don't need to provide
email. One thing it doesn't ask is language: are we seriously going to ask in
what /gender/ the user wants to be addressed while not asking in what
/language/, which seems a bit more impacting on the user interface to me?

If someone creates an account in the Arabic Wikipedia, it's relatively safe to
assume that she or he wants Arabic as her or his default language. Assuming a
gender, however, is impossible, even though it is immediately needed.

It's not immediately needed. It's very easy for me: we have things which are absolutely needed to create an account (username, password, email for some things), and things which are not (everything else). The former are asked when you create an account, the latter are not.

We already have such a message. And it's quite strong: it looks like you can't
start editing without adjusting your preferences!

... Except you can. Are there statistics about people who actually do what that
message asks them to? I suspect that very few.

So what? If they don't, it just means that preferences are ok for them. Or, if
you imply that people ignore messages, I wonder how you're going to explain
what the gender preference is for.

MoodBar, for example, which is rather more visible than that tiny message that suggests to change preferences.

If someone creates an account in the Arabic Wikipedia, it's relatively safe to
assume that she or he wants Arabic as her or his default language. Assuming a
gender, however, is impossible, even though it is immediately needed.

It's not immediately needed. It's very easy for me: we have things which are
absolutely needed to create an account (username, password, email for some
things), and things which are not (everything else). The former are asked when
you create an account, the latter are not.

MoodBar, see above. There's also {{welcome}}, ahem, benvenuta. And many, many more.

(In reply to comment #26)

We already have such a message. And it's quite strong: it looks like you can't
start editing without adjusting your preferences!

... Except you can. Are there statistics about people who actually do what that
message asks them to? I suspect that very few.

So what? If they don't, it just means that preferences are ok for them. Or, if
you imply that people ignore messages, I wonder how you're going to explain
what the gender preference is for.

MoodBar, for example, which is rather more visible than that tiny message that
suggests to change preferences.

Sorry, I don't get how this reply is relevant.

If someone creates an account in the Arabic Wikipedia, it's relatively safe to
assume that she or he wants Arabic as her or his default language. Assuming a
gender, however, is impossible, even though it is immediately needed.

It's not immediately needed. It's very easy for me: we have things which are
absolutely needed to create an account (username, password, email for some
things), and things which are not (everything else). The former are asked when
you create an account, the latter are not.

MoodBar, see above. There's also {{welcome}}, ahem, benvenuta. And many, many
more.

No. They're not immediately needed /for account creation/. You can have gender-relevant messages before, simultaneously or (soon) after account creation, but this won't make them immediately needed for account creation itself.
(Besides, I don't see where MoodBar is shown in current implementation.)

I opened bug 31816 for improving the wording itself, which doesn't belong to this bug.

Nemo_bis:

Apparently, MoodBar is not currently shown to new accounts. I guess that it was being tested when i created this bug. Its translation is quite gender-dependent in several languages.

And yes, gender is not immediately needed for account creation, but it is immediately needed for showing messages in correct gender, and there are many of them. As you said, it's something that is needed even before account creation, which is an issue in itself.

(In reply to comment #29)

And yes, gender is not immediately needed for account creation, but it is
immediately needed for showing messages in correct gender, and there are many
of them. As you said, it's something that is needed even before account
creation, which is an issue in itself.

Ehm, did you get my point or do you just consider it useless? You're misusing the word "immediate". We currently have a very simple way to decide what's on the account creation page; in your proposal there is none and this means mess and inconsistencies.
I mentioned language but apparently I need more examples. If you get this preference added to account creation page, I want also the whole "E-mail options" section of [[Special:Preferences]] there, because email preferences are something users care about and most websites will (or are even required to) say/ask /immediately/ what they're going to do with your email. And I can go on, if you want me in nitpicking mode: A wants <random preference from Preferences/Editing> because it's so important and many users will make an edit <del>/immediately/</del> soon after account creation; B wants the preference to enable/disable the image filter because it's oh so obviously important (ok, we can hope no such filter will ever exist, but...); etc.

Email preferences are needed for a very particular thing - sending and receiving email. Not all users need it, and those who do, can find a way to define it. In fact, i would remove email from the basic account creation form.

Gender, however, is needed for correct software messages. It's true that most sites and programs don't even give the option of correct messages, but we do. So gender must remain optional, but it should be more visible than today during the account creation process.

Ok, so you're still ignoring my question. I guess we'll start a conversation about every possible addition to the page and in the end it will itself be a proof of the confusion your proposal currently implies. Or, you can answer my question and ignore the rest of this comment.

(In reply to comment #31)

Email preferences are needed for a very particular thing - sending and
receiving email. Not all users need it, and those who do, can find a way to
define it.

Not true. On many wikis, email notifications are enabled by default. This means that the new user could receive an email way before seeing any gender-relevant message and without doing anything, for instance because of a message on the user talk.

In fact, i would remove email from the basic account creation form.

It's needed for password recovery so it's a logical consequence of the password field.

Gender, however, is needed for correct software messages. It's true that most
sites and programs don't even give the option of correct messages, but we do.
So gender must remain optional, but it should be more visible than today during
the account creation process.

You're working under the assumption that "correct software messages" are more important than everything else. This is not a MediaWiki axiom AFAIK so you need to prove it.

Well, yes, it's not an axiom - most websites live without gender support and we lived quite happily without it for many years. And yes, it may well be a slippery slope to making the registration form too complicated.

As far as i'm concerned, though, it is a central thing in the process of introduction. Consider meeting a person on a street - by looking at them or speaking to them you will probably know their gender before you know their name or email.

Of course, you may disagree.

(In reply to comment #33)

Well, yes, it's not an axiom - most websites live without gender support and we
lived quite happily without it for many years. And yes, it may well be a
slippery slope to making the registration form too complicated.

Again: we can make it more complicated, but we need a) to decide that we want to, b) to decide how to do it, i.e. to define a clear rationale which we can use to decide what's in and what's out.
I've found bug 25815: the same reasoning applies.

As far as i'm concerned, though, it is a central thing in the process of
introduction. Consider meeting a person on a street - by looking at them or
speaking to them you will probably know their gender before you know their name
or email.

Not necessarily: sometimes I don't know the gender before I hear the name, or even the name doesn't help (if I don't know its gender); and I don't see how this could affect the introduction, it's a pretty worthless piece of information.
But, following your example, it's certainly necessary to know in what language you need to introduce yourself, so bug 25815 should be fixed before (if any).

But again, "importance" is not the problem and the example is misleading, because we're only considering a specific point of the user life, when the user wants to create the account, and MediaWiki kindly asks only what's needed for the task.

(In reply to comment #32)

(In reply to comment #31)

Email preferences are needed for a very particular thing - sending and
receiving email. Not all users need it, and those who do, can find a way to
define it.

Not true. On many wikis, email notifications are enabled by default. This means
that the new user could receive an email way before seeing any gender-relevant
message and without doing anything, for instance because of a message on the
user talk.

And what if that first e-mail notification they get sent before anything, before they even get to their preferences page, happens to use language that would be rude if it did not know their gender?

(In reply to comment #34)

(In reply to comment #33)

As far as i'm concerned, though, it is a central thing in the process of
introduction. Consider meeting a person on a street - by looking at them or
speaking to them you will probably know their gender before you know their name
or email.

Not necessarily: sometimes I don't know the gender before I hear the name, or
even the name doesn't help (if I don't know its gender); and I don't see how
this could affect the introduction, it's a pretty worthless piece of
information.

Sure... in English. But other languages have different pronouns for different genders, and without a good idea of it your greeting could come off as very rude.

(In reply to comment #35)

And what if that first e-mail notification they get sent before anything,
before they even get to their preferences page, happens to use language that
would be rude if it did not know their gender?

And what if it's not in their language?

Not necessarily: sometimes I don't know the gender before I hear the name, or
even the name doesn't help (if I don't know its gender); and I don't see how
this could affect the introduction, it's a pretty worthless piece of
information.

Sure... in English. But other languages have different pronouns for different
genders,

I'm Italian and Italian is one such language.

and without a good idea of it your greeting could come off as very
rude.

...as without a good idea of many other things about the person, if you're not careful.

Assigning to Steven. I think he'll be closing this as WONTFIX, because we don't want more fields in account registration, but less.

Still, Steven, please bring this issue to a close one way or the other.

I do not believe this should be WONTFIXed.

The post-creation page we show is nothing but a white wall of text. The kind of thing that people are trained to ignore. And it's displayed at a critical time where the user has something else on their mind. Because undoubtedly they signed up for some actual reason and their goal is to continue on with what they are doing. Any message telling them to change their preferences is naturally going to be lost. And there is no way that a layman user will comprehend the significance of changing their gender in preferences.

There is no slippery slope to this. Language, Email, Realname, and Gender are three special preferences that have a strong reason to be located on the registration form. Not setting them may cause some active form of problem to the user or affect other users view of them in ways they do not know about. Every other preference is nothing but cosmetic touches for the user themselves to see.

  • Language: Language is the most fundamental, without knowing the language we cannot even communicate with a user in a way they will understand. This one we don't ask for in the form because we infer that because they are reading the form they understand the current language. We deal with this one by giving the user a language selector beforehand, inferring it from wiki language, and in the future ULS will improve this to work better for everyone.
  • Email: Email is used for password resets. If we do not ask for the email right away it is easily possible for a user to end up never being able to access their account again.
  • Real name: While not important on other sites. On wikis this is part of attribution. Not asking for this information right away will lead to users being incorrectly attributed for their contributions. This is important from a legal standpoint.
  • (i18n) Gender: Gender is used in messages referring to the user. Not setting this will lead to the software in a way potentially insulting the user themselves and insulting the user from other user's perspectives. And even if the user themselves only speaks one of the rare few languages where it doesn't look like an issue and they never leave the wikis of that same language they will still be insulted when a bi-lingual user who's native language is different and uses a different language preference passes by them.

I can't find a single preference besides these -- well besides username and password too of course -- that are non-cosmetic and important enough to include on the registration page.

Well, except of course things like a terms agreement checkbox and an age preference for those wikis that need it for COPPA compliance. But those aren't core things.

swalling wrote:

Sorry if I repeat some things previously said, but I don't have time to read the massive number of comments above. My perspective, shaped by the priorities laid out at https://www.mediawiki.org/wiki/Account_creation_user_experience, is the following:

The reason the gender preference exists is to support proper l10n of MediaWiki. This is most important to users in languages such as Portuguese or Russian, where fundamental parts of the software, like the term used for the User namespace, need to be customized to indicate masculine or feminine.

With that in mind, I would strongly support adding a *configurable* gender field into registration. This gives us the best of both worlds: it avoids annoying English users or other projects where gender is pretty much totally unimportant for localization, while making it available to users who really need it.

I don't think we're immediately adding a gender field for our first pass on testing and productization, but I will note this bug and the associated feature idea as something to consider as a nice to have for our work on editor engagement experiments.

Noting in response to Ian Baker: if the outstanding bug 25834 is fixed (adding the Gender option "Other"), the risk of marginalizing third genders and genderqueers by requesting gender during registration would be reduced.

Scott added a comment.Feb 17 2013, 3:49 PM

As discussed here, there are a lot of potential options when asking a person about their gender. However, there are only a few pronouns. So, how about we ask the user what pronouns they prefer, instead. It could look something like this:

(Optional) What pronouns do you prefer used when talking about you? These may
appear in messages in MediaWiki.

  • "he" and "his"
  • "she" and "her"
  • "they" and "their" (if you don't choose we will default to this)

This would neatly sidestep a thorny question and avoid directly asking our users about a sensitive personal detail.

(In reply to comment #41)

As discussed here, there are a lot of potential options when asking a person
about their gender. However, there are only a few pronouns. So, how about we
ask the user what pronouns they prefer, instead. It could look something like
this:

That's bug 31816, and you may want to review the patch there: it's almost ready, it only needs a small fix.

(In reply to comment #42)

(In reply to comment #41)

As discussed here, there are a lot of potential options when asking a person
about their gender. However, there are only a few pronouns. So, how about we
ask the user what pronouns they prefer, instead. It could look something like
this:

That's bug 31816, and you may want to review the patch there: it's almost
ready, it only needs a small fix.

It was merged and is already live on all Wikimedia projects. Seems to have been received well.

Nemo_bis closed this task as Declined.EditedJan 21 2015, 7:26 AM
Nemo_bis claimed this task.
Nemo_bis added a subscriber: Nemo_bis.

Closing per Dcoetzee:

Noting in response to Ian Baker: if the outstanding bug 25834 is fixed (adding the Gender option "Other"), the risk of marginalizing third genders and genderqueers by requesting gender during registration would be reduced.

The solution for our wikis to be more welcoming and engaging is not to make registration harder, but to reduce and clarify our preferences. That work is ongoing on other reports.